package eu.dnetlib.uoamonitorservice.controllers;

import eu.dnetlib.uoamonitorservice.dao.StakeholderDAO;
import eu.dnetlib.uoamonitorservice.entities.Stakeholder;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@CrossOrigin(origins = "*")
public class TestController {
    private final Logger log = LogManager.getLogger(this.getClass());

    @Autowired
    private StakeholderDAO stakeholderDAO;

//    @RequestMapping("/")
//    public String index() {
//        return "Greetings from Spring Boot!";
//    }

    // Check ExceptionHandler
    @RequestMapping(value = "/test-error1", method = RequestMethod.GET)
    public Stakeholder getFirstStakeholder() {
        List<Stakeholder> stakeholders;
        stakeholders = stakeholderDAO.findAll();

        return stakeholders.get(0);
    }

    @RequestMapping(value = "/test-error2", method = RequestMethod.GET)
    public String getParam(@RequestParam String param) {
        return param;
    }

    @RequestMapping(value = "/test-error3", method = RequestMethod.GET)
    public String getSubstringOfNull() {
        String str = null;
        return  str.substring(2);
    }
}
